StatementWriter (Groovy 5.0.6)

Package: org.codehaus.groovy.classgen.asm

## [Java] Class StatementWriter

- org.codehaus.groovy.classgen.asm.StatementWriter

-     public class StatementWriter
      extends Object

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected WriterController` | `controller` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `StatementWriter(WriterController controller)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public void` | `writeAssert(AssertStatement statement)`
    `` | `public void` | `writeBlockStatement(BlockStatement block)`
    `` | `public void` | `writeBreak(BreakStatement statement)`
    `` | `public void` | `writeContinue(ContinueStatement statement)`
    `` | `public void` | `writeDoWhileLoop(DoWhileStatement statement)`
    `` | `public void` | `writeExpressionStatement(ExpressionStatement statement)`
    `` | `protected void` | `writeForInLoop(ForStatement statement)`
    `` | `protected void` | `writeForInLoopControlAndBlock(ForStatement statement)`
    `` | `protected void` | `writeForLoopWithClosureList(ForStatement statement)`
    `` | `public void` | `writeForStatement(ForStatement statement)`
    `` | `public void` | `writeIfElse(IfStatement statement)`
    `` | `protected void` | `writeIteratorHasNext(org.objectweb.asm.MethodVisitor mv)`
    `` | `protected void` | `writeIteratorNext(org.objectweb.asm.MethodVisitor mv)`
    `` | `public void` | `writeReturn(ReturnStatement statement)`
    `` | `protected void` | `writeStatementLabel(Statement statement)`
    `` | `public void` | `writeSwitch(SwitchStatement statement)`
    `` | `public void` | `writeSynchronized(SynchronizedStatement statement)`
    `` | `public void` | `writeThrow(ThrowStatement statement)`
    `` | `public void` | `writeTryCatchFinally(TryCatchStatement statement)`
    `` | `public void` | `writeWhileLoop(WhileStatement statement)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### protected final WriterController controller

  - ### Constructor Detail

    - #### public StatementWriter(WriterController controller)

  - ### Method Detail

    - #### public void writeAssert(AssertStatement statement)

    - #### public void writeBlockStatement(BlockStatement block)

    - #### public void writeBreak(BreakStatement statement)

    - #### public void writeContinue(ContinueStatement statement)

    - #### public void writeDoWhileLoop(DoWhileStatement statement)

    - #### public void writeExpressionStatement(ExpressionStatement statement)

    - #### protected void writeForInLoop(ForStatement statement)

    - #### protected void writeForInLoopControlAndBlock(ForStatement statement)

    - #### protected void writeForLoopWithClosureList(ForStatement statement)

    - #### public void writeForStatement(ForStatement statement)

    - #### public void writeIfElse(IfStatement statement)

    - #### protected void writeIteratorHasNext(org.objectweb.asm.MethodVisitor mv)

    - #### protected void writeIteratorNext(org.objectweb.asm.MethodVisitor mv)

    - #### public void writeReturn(ReturnStatement statement)

    - #### protected void writeStatementLabel(Statement statement)

    - #### public void writeSwitch(SwitchStatement statement)

    - #### public void writeSynchronized(SynchronizedStatement statement)

    - #### public void writeThrow(ThrowStatement statement)

    - #### public void writeTryCatchFinally(TryCatchStatement statement)

    - #### public void writeWhileLoop(WhileStatement statement)